
QGIS Application - Bug report #21808

QGIS can load again

2019-04-09 09:11 AM - Navid Taheri

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.6 Regression?: No

Operating System: LMDE 3 (Debian 9) Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29623

Description

Today I opened my QGIS 3.4 but when I closed I couldn't open again! 

QGIS did try load component but 

suddenly without any message error it closed!!

I took a screenshot if you can see above my screenshot you can see

some part of qgis window project is loaded!

when I open qgis through terminal I get this message error

History

#1 - 2019-04-09 09:18 AM - Navid Taheri

My mean was QGIS CAN NOT Load normally

#2 - 2019-04-10 09:28 AM - Navid Taheri

How fix this problem?

Warning: QObject::connect: signal not found in QgisAppInterface

QGIS died on signal 11[New LWP 25718]

[New LWP 25719]

[New LWP 25721]

[New LWP 25722]

[New LWP 25724]

[New LWP 25725]

[New LWP 25726]

[New LWP 25727]

[New LWP 25728]

[New LWP 25729]

[New LWP 25744]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f8e2d64e04a in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f8e13691380 (LWP 25715))]

#0  0x00007f8e2d64e04a in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x000055ea619fcdaa in ?? ()

No symbol table info available.

#2  <signal handler called>
No symbol table info available.

#3  0x00007f8e2e8cf69a in QObject::property(char const*) const () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#4  0x00007f8e07f6f077 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/styles/libbb10styleplugin.so

No symbol table info available.

#5  0x00007f8e37ffa8c5 in ?? () from /usr/lib/libqgis_app.so.3.4.6

No symbol table info available.

#6  0x00007f8e3201a55c in QListView::paintEvent(QPaintEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#7  0x00007f8e31df0118 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#8  0x00007f8e31ed83de in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#9  0x00007f8e31ffebc3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#10 0x00007f8e2e8a4a91 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#11 0x00007f8e31da8b65 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#12 0x00007f8e31db0351 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#13 0x00007f8e34db1c5b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.3.4.6

No symbol table info available.

#14 0x00007f8e2e8a4d30 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#15 0x00007f8e31de8eea in QWidgetPrivate::sendPaintEvent(QRegion const&) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#16 0x00007f8e31de954e in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#17 0x00007f8e31dea25c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#18 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#19 0x00007f8e31de90b4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#20 0x00007f8e31dea25c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#21 0x00007f8e31de90b4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#22 0x00007f8e31dea25c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#23 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#24 0x00007f8e31de90b4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

2024-03-13 2/7



QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#25 0x00007f8e31dea25c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#26 0x00007f8e31de90b4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#27 0x00007f8e31dea25c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#28 0x00007f8e31de90b4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#29 0x00007f8e31dea25c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#30 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#31 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#32 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#33 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#34 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#35 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#36 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#37 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#38 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#39 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#40 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#41 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.
#42 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#43 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#44 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#45 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#46 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#47 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#48 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#49 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#50 0x00007f8e31dea149 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint

const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#51 0x00007f8e31de90b4 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#52 0x00007f8e31db8f6f in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#53 0x00007f8e31db96b5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#54 0x00007f8e31e0c5fc in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#55 0x00007f8e31e0d033 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#56 0x00007f8e31da8b8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#57 0x00007f8e31db0351 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#58 0x00007f8e34db1c5b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.3.4.6

No symbol table info available.

#59 0x00007f8e2e8a4d30 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#60 0x00007f8e3180eadd in QGuiApplicationPrivate::processExposeEvent(QWindowSystemInterfacePrivate::ExposeEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#61 0x00007f8e3180f6ed in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()

from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#62 0x00007f8e317ed60b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#63 0x00007f8e1343e360 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

No symbol table info available.

#64 0x00007f8e2b32b7f7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#65 0x00007f8e2b32ba60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#66 0x00007f8e2b32bb0c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#67 0x00007f8e2e8f91cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#68 0x00007f8e37e98c39 in QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>) () from /usr/lib/libqgis_app.so.3.4.6

No symbol table info available.

#69 0x000055ea619f861d in ?? ()

No symbol table info available.

#70 0x00007f8e2d5b62e1 in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#71 0x000055ea619fc7ca in _start ()

No symbol table info available.

gdb returned 0

Aborted

#3 - 2019-04-10 02:32 PM - Johannes Kroeger

- Priority changed from High to Normal

Have you tried turning your computer off and on again? Have you tried reinstalling QGIS?

#4 - 2019-04-10 02:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2019-04-12 12:40 PM - Navid Taheri

Johannes Kroeger wrote:

Have you tried turning your computer off and on again? Have you tried reinstalling QGIS?

Yes, I did both of them but it didn't fix, I'm running my QGIS3 by sudo in Terminal, I can't run normally

#6 - 2019-04-12 01:43 PM - Jürgen Fischer

Navid Taheri wrote:

Johannes Kroeger wrote:
Have you tried turning your computer off and on again? Have you tried reinstalling QGIS?

Yes, I did both of them but it didn't fix, I'm running my QGIS3 by sudo in Terminal, I can't run normally

Did you do that even before the problem appeared?  Maybe you created a file as root in the current user's home directory that you cannot access as

regular user (find ~ -user root -ls)

#7 - 2019-04-12 02:19 PM - Navid Taheri

Jürgen Fischer wrote:

Navid Taheri wrote:

Johannes Kroeger wrote:

Have you tried turning your computer off and on again? Have you tried reinstalling QGIS?

Yes, I did both of them but it didn't fix, I'm running my QGIS3 by sudo in Terminal, I can't run normally

Did you do that even before the problem appeared?  Maybe you created a file as root in the current user's home directory that you cannot access as

regular user (find ~ -user root -ls)

I didn't any changes to file permission.

this issue happend when I changed QGIS Style in option menu

#8 - 2019-04-12 03:14 PM - Jürgen Fischer

Navid Taheri wrote:

I didn't any changes to file permission.

I wasn't implying that you did it willingly.  sudo might either invoke a different profile that doesn't have that issue or circumvent permission issues - and

might create files that you cannot access without sudo.

Did you try starting with a fresh qgis profile (qgis --profile foo)?

#9 - 2019-04-13 06:46 AM - Navid Taheri

Jürgen Fischer wrote:

Navid Taheri wrote:

I didn't any changes to file permission.

I wasn't implying that you did it willingly.  sudo might either invoke a different profile that doesn't have that issue or circumvent permission issues -

and might create files that you cannot access without sudo.
Did you try starting with a fresh qgis profile (qgis --profile foo)?

I began qgis without sudo based on your recommend it's work! and it didn't close automatically!.

thank you so much, it's mean I should never change QGIS Style? :)

#10 - 2019-04-13 10:42 AM - Jürgen Fischer

Navid Taheri wrote:

Did you try starting with a fresh qgis profile (qgis --profile foo)?

I began qgis without sudo based on your recommend it's work! and it didn't close automatically!.

thank you so much, it's mean I should never change QGIS Style? :)

No, but you could compare the two profiles in ~/.local/share/QGIS/QGIS3/profiles and figure out which particular setting (or plugin?) causes the close with

the old profile.

#11 - 2019-04-13 10:49 AM - Navid Taheri

Jürgen Fischer wrote:

Navid Taheri wrote:

Did you try starting with a fresh qgis profile (qgis --profile foo)?

I began qgis without sudo based on your recommend it's work! and it didn't close automatically!.

thank you so much, it's mean I should never change QGIS Style? :)

No, but you could compare the two profiles in ~/.local/share/QGIS/QGIS3/profiles and figure out which particular setting (or plugin?) causes the

close with the old profile.

Thank you so much, what should I do when I found that I should remove it? This problem happened when I changed my QGIS Style to "bb10dark", Thank

you so much for your help

Files

qgis_load.png 497 KB 2019-04-09 Navid Taheri

qgis_load_error.log 14.2 KB 2019-04-09 Navid Taheri
